/******************************************************************************
*       SOFA, Simulation Open-Framework Architecture, version 1.0 beta 4      *
*                (c) 2006-2009 MGH, INRIA, USTL, UJF, CNRS                    *
*                                                                             *
* This library is free software; you can redistribute it and/or modify it     *
* under the terms of the GNU Lesser General Public License as published by    *
* the Free Software Foundation; either version 2.1 of the License, or (at     *
* your option) any later version.                                             *
*                                                                             *
* This library is distributed in the hope that it will be useful, but WITHOUT *
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or       *
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License *
* for more details.                                                           *
*                                                                             *
* You should have received a copy of the GNU Lesser General Public License    *
* along with this library; if not, write to the Free Software Foundation,     *
* Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA.          *
*******************************************************************************
*                              SOFA :: Framework                              *
*                                                                             *
* Authors: M. Adam, J. Allard, B. Andre, P-J. Bensoussan, S. Cotin, C. Duriez,*
* H. Delingette, F. Falipou, F. Faure, S. Fonteneau, L. Heigeas, C. Mendoza,  *
* M. Nesme, P. Neumann, J-P. de la Plata Alcade, F. Poyer and F. Roy          *
*                                                                             *
* Contact information: contact@sofa-framework.org                             *
******************************************************************************/
#ifndef SOFA_CORE_VISUALMANAGER_H
#define SOFA_CORE_VISUALMANAGER_H

#include <sofa/core/VisualModel.h>
#include <sofa/helper/gl/VisualParameters.h>

namespace sofa
{

namespace core
{

class VisualManager : public virtual VisualModel
{
public:
    /// Destructor
    virtual ~VisualManager() { }

    /**
     *  \brief Called before rendering the scene
     */
    virtual void preDrawScene(helper::gl::VisualParameters* /*vp*/) {}

    /**
     *  \brief Called after rendering the scene
     */
    virtual void postDrawScene(helper::gl::VisualParameters* /*vp*/) {}

    /**
     *  \brief Called instead of rendering the scene
     *
     *  Return true if this object actually did the rendering, or false if it wasn't done.
     */
    virtual bool drawScene(helper::gl::VisualParameters* /*vp*/) { return false; }
};

} // namespace core

} // namespace sofa

#endif
