#ifndef VISITORGUI_H
#define VISITORGUI_H

#include <qvariant.h>


#include <Qt3Support/Q3Header>
#include <Qt3Support/Q3ListView>
#include <Qt3Support/Q3MainWindow>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QPushButton>
#include <QtGui/QSplitter>
#include <QtGui/QWidget>

QT_BEGIN_NAMESPACE

class Ui_VisitorGUI
{
public:
    QWidget *widget;
    QGridLayout *gridLayout;
    QSplitter *splitterStats;
    Q3ListView *graphView;
    QPushButton *clearButton;

    void setupUi(Q3MainWindow *VisitorGUI)
    {
        if (VisitorGUI->objectName().isEmpty())
            VisitorGUI->setObjectName(QString::fromUtf8("VisitorGUI"));
        VisitorGUI->resize(800, 453);
        widget = new QWidget(VisitorGUI);
        widget->setObjectName(QString::fromUtf8("widget"));
        gridLayout = new QGridLayout(widget);
        gridLayout->setSpacing(6);
        gridLayout->setContentsMargins(11, 11, 11, 11);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        gridLayout->setContentsMargins(0, 0, 0, 0);
        splitterStats = new QSplitter(widget);
        splitterStats->setObjectName(QString::fromUtf8("splitterStats"));
        splitterStats->setOrientation(Qt::Horizontal);
        graphView = new Q3ListView(splitterStats);
        graphView->addColumn(QApplication::translate("VisitorGUI", "Graph", 0, QApplication::UnicodeUTF8));
        graphView->header()->setClickEnabled(false, graphView->header()->count() - 1);
        graphView->header()->setResizeEnabled(true, graphView->header()->count() - 1);
        graphView->addColumn(QApplication::translate("VisitorGUI", "Time", 0, QApplication::UnicodeUTF8));
        graphView->header()->setClickEnabled(false, graphView->header()->count() - 1);
        graphView->header()->setResizeEnabled(false, graphView->header()->count() - 1);
        graphView->addColumn(QApplication::translate("VisitorGUI", "Type", 0, QApplication::UnicodeUTF8));
        graphView->header()->setClickEnabled(false, graphView->header()->count() - 1);
        graphView->header()->setResizeEnabled(false, graphView->header()->count() - 1);
        graphView->addColumn(QApplication::translate("VisitorGUI", "Value", 0, QApplication::UnicodeUTF8));
        graphView->header()->setClickEnabled(false, graphView->header()->count() - 1);
        graphView->header()->setResizeEnabled(true, graphView->header()->count() - 1);
        graphView->setObjectName(QString::fromUtf8("graphView"));
        splitterStats->addWidget(graphView);

        gridLayout->addWidget(splitterStats, 0, 0, 1, 1);

        clearButton = new QPushButton(widget);
        clearButton->setObjectName(QString::fromUtf8("clearButton"));

        gridLayout->addWidget(clearButton, 1, 0, 1, 1);

        VisitorGUI->setCentralWidget(widget);

        retranslateUi(VisitorGUI);
        QObject::connect(clearButton, SIGNAL(clicked()), VisitorGUI, SLOT(clearGraph()));

        QMetaObject::connectSlotsByName(VisitorGUI);
    } // setupUi

    void retranslateUi(Q3MainWindow *VisitorGUI)
    {
        VisitorGUI->setWindowTitle(QApplication::translate("VisitorGUI", "VisitorGUI", 0, QApplication::UnicodeUTF8));
        graphView->header()->setLabel(0, QApplication::translate("VisitorGUI", "Graph", 0, QApplication::UnicodeUTF8));
        graphView->header()->setLabel(1, QApplication::translate("VisitorGUI", "Time", 0, QApplication::UnicodeUTF8));
        graphView->header()->setLabel(2, QApplication::translate("VisitorGUI", "Type", 0, QApplication::UnicodeUTF8));
        graphView->header()->setLabel(3, QApplication::translate("VisitorGUI", "Value", 0, QApplication::UnicodeUTF8));
        clearButton->setText(QApplication::translate("VisitorGUI", "Clear", 0, QApplication::UnicodeUTF8));
    } // retranslateUi

};

namespace Ui {
    class VisitorGUI: public Ui_VisitorGUI {};
} // namespace Ui

QT_END_NAMESPACE

class VisitorGUI : public Q3MainWindow, public Ui::VisitorGUI
{
    Q_OBJECT

public:
    VisitorGUI(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = Qt::WType_TopLevel);
    ~VisitorGUI();

public slots:
    virtual void clearGraph();

protected slots:
    virtual void languageChange();

};

#endif // VISITORGUI_H
